Bug 56037 - Bug 37071 is still there with RH7.2!! Installer hangs completely on a Dell Latitude C800
Bug 37071 is still there with RH7.2!! Installer hangs completely on a Dell La...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-11 10:36 EST by Alfredo Ferrari
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2001-11-11 10:36:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13.1 i686)

Description of problem:
Running the Rh7.2 installer on the same exact hardware of bug 37071 seems
to result into the same exact hang... 
The installer hangs just after issuing a message about inserting "aic7xxx"
(the laptop has an ADAPTEC APA1480A scsi pcmcia adapter).
Only removing the battery and the power plug succeeds in bringing the
machine down (the "normal" power button is ineffective)
The hang point is more or less the same as in bug 37071 and running with
"text expert" works. I am not fully sure it is the same problem, however I
made a couple of extra attempts and:

a) the (graphic) installer works if I remove the APA1480A from the machine
b) ... but it does not seem the recognize the mouse. It opens mouseconfig
and asks me , I answer two-button PS/2 and actually it configures my
external usb mouse and not the internal PS/2 pad
(maybe this is not a problem)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert the RH7.2 CD
2.boot with an ADAPTEC APA1480A pcmcia card in the machine
3.look for the installer solid hang
	

Actual Results:  the installer hangs

Expected Results:  it should work

Additional info:
Comment 1 Ed Friedman 2001-11-13 12:29:01 EST
Unfortunately, if you have a desktop, and not a laptop, then even text expert
mode fails.  In fact, with a SCSI hard drive and SCSI CD-ROM and an Adaptec
29160 controller, there seems to be no way at all to install 7.2 (booting from a
floppy worked for 7.1)
Comment 2 Ed Friedman 2001-11-13 17:38:14 EST
I have finally found a workaround for this bug.  If you start out with the
noprobe option during installation, then pick the New (Experimental) Adaptec
driver, everything installs properly.  However, if you then upgrade the 2.4.7-10
kernel to 2.4.9-13, you get into an infinite loop of error messages during
bootup at the point right after it detects the SCSI devices.
Comment 3 Steve Kann 2001-11-20 18:39:03 EST
I seem to be encountering this bug on a server with the very common Intel GX
motherboard.  

Flipping to the kernel messages, it loads the driver and detects the controller
(both channels).  Then, for the first LUN on the first controller (where I have
my only disk), I get one timeout message, and then the disk is found.  For every
other possible LUN on both channels (that's 29 more!), I get two timeout
messages.  This process takes about 5 minutes?.  

Then, the driver keeps trying to reset the scsi bus, every minute or two,
seemingly forever.

This seems like a bug that was in 7.1 also.. GRRRR....
Comment 4 Jeremy Katz 2001-12-12 15:40:56 EST
The mouse thing may be due to magic in the BIOS.  As to which SCSI driver is
used, reassigning to the kernel team
Comment 5 Arjan van de Ven 2001-12-13 04:46:05 EST
stevek@stevek.com: different bug; your bios is buggy. See other 440GX reports
(and use "apic" on the syslinux commandline)
Comment 6 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.